libiio: Stream

libiio 1.0 Library for interfacing with IIO devices

Loading...
Searching...
No Matches
Functions
Stream
Buffer
Collaboration diagram for Stream:

## Functions
__api __check_ret struct iio_stream * | iio_buffer_create_stream (struct iio_buffer *buffer, size_t nb_blocks, size_t samples_count, struct iio_channels_mask *mask)
| Create a iio_stream object for the given iio_buffer.
__api void | iio_stream_cancel (struct iio_stream *stream)
| Cancel all stream operations.
__api void | iio_stream_destroy (struct iio_stream *stream)
| Destroy the given stream object.
__api __check_ret const struct iio_block * | iio_stream_get_next_block (struct iio_stream *stream)
| Get a pointer to the next data block.

## Detailed Description

## Function Documentation

## ◆ iio_buffer_create_stream()

__api __check_ret struct iio_stream * iio_buffer_create_stream | ( | struct iio_buffer * | buffer,
|  | size_t | nb_blocks,
|  | size_t | samples_count,
|  | struct iio_channels_mask * | mask
| ) |  |

Create a iio_stream object for the given iio_buffer.

Parameters

  buffer | A pointer to an iio_buffer structure
  nb_blocks | The number of iio_block objects to create, internally. In doubt, a good value is 4.
  samples_count | The size of the iio_block objects, in samples
  mask | A pointer to the iio_channels_mask structure

Returns
  On success, a pointer to an iio_stream structure
  On failure, a pointer-encoded error is returned

Here is the call graph for this function:

## ◆ iio_stream_cancel()

__api void iio_stream_cancel | ( | struct iio_stream * | stream | ) |

Cancel all stream operations.

Parameters

  stream | A pointer to an iio_stream structure

Here is the call graph for this function:

## ◆ iio_stream_destroy()

__api void iio_stream_destroy | ( | struct iio_stream * | stream | ) |

Destroy the given stream object.

Parameters

  stream | A pointer to an iio_stream structure

Here is the call graph for this function:

## ◆ iio_stream_get_next_block()

__api __check_ret const struct iio_block * iio_stream_get_next_block | ( | struct iio_stream * | stream | ) |

Get a pointer to the next data block.

Parameters

  stream | A pointer to an iio_stream structure

Returns
  On success, a pointer to an iio_block structure
  On failure, a pointer-encoded error is returned

Here is the call graph for this function: